Name:			mactelnet
Version:		0.6.1
Release:		1%{?dist}
Summary:		Console tools for connecting to devices using MikroTik RouterOS MAC-Telnet protocol

Group:			Applications/Internet
License:		GPLv2
URL:			https://github.com/haakonnessjoen/MAC-Telnet

Source0:		https://github.com/haakonnessjoen/MAC-Telnet/archive/v%{version}.tar.gz
Patch1:			mactelnetd_chown.patch
#Patch2:			https://github.com/haakonnessjoen/MAC-Telnet/commit/21322d0b3f31405c0aa9cfffb4aedf27e3e0db04.patch
BuildRequires:		autoconf
BuildRequires:		automake
BuildRequires:		gcc
BuildRequires:		gettext
BuildRequires:		m4
BuildRequires:		libtool
BuildRequires:		gettext-devel
BuildRequires:		openssl-devel

%description
Open source MAC Telnet client and server for connecting to Microtik RouterOS routers 
and Posix machines via MAC address.

%prep
%setup -q -n MAC-Telnet-%{version}
%patch -P 1 -p1 -b.chown
#%patch -P 2 -p1 -b.gcc14

%build
./autogen.sh
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
%find_lang %{name} --with-man

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc LICENSE README.markdown
%config(noreplace) %{_sysconfdir}/mactelnetd.users
%{_bindir}/macping
%{_bindir}/mactelnet
%{_bindir}/mndp
%{_sbindir}/mactelnetd
%{_mandir}/man1/*

%changelog
* Tue Aug 13 2024 josef radinger <cheese@nosuchhost.net> - 0.6.1-1
- bump version

* Mon Aug 12 2024 josef radinger <cheese@nosuchhost.net> - 0.5.3-1
- bump version

* Thu Aug 01 2024 josef radinger <cheese@nosuchhost.net> - 0.5.2-1
- bump version
- remove patch #2

* Wed May 01 2024 josef radinger <cheese@nosuchhost.net> - 0.5.1-2
- fix compilation with gcc14 (https://github.com/haakonnessjoen/MAC-Telnet/issues/89)
  patch2

* Fri Apr 26 2024 josef radinger <cheese@nosuchhost.net> - 0.5.1-1
- bump version (modify patch1)
- fix deprecated patch-option

* Mon Apr 15 2024 josef radinger <cheese@nosuchhost.net> - 0.5.0-1
- bump version
- cleanup specfile
- require openssl-devel

* Thu Oct 12 2017 josef radinger <cheese@nosuchhost.net> - 0.4.4-1
- initial version